Subject: bug#22146: Stack overflow in reftex-parse-all

From: David Kastrup <[email-masked]>
Date: Sun, 13 Dec 2015 18:52:48 +0100

Tassilo Horn <[email-masked]> writes:

> Mosè Giordano <[email-masked]> writes:

> Isn't the syntax "\\[[^]]\\{0,1000\\}\\<label"?  I tried going up to a
> maximum of 30000 and it still didn't overflow, so I think that's an
> appropriate fix (say, maybe 2000 instead of 1000 to be extra safe).
> Feel free to change `reftex-label-regexps' accordingly.
>
> Interestingly, "x\\{0,40000\\}" gives an error:
>
>   (invalid-regexp "Invalid content of \\{\\}")
>
> So there seems to be a (pretty random) limit...

I'd guess that the regexp library translates this into a "short", so the
limit would be SHORT_MAX, namely 32767.

-- 
David Kastrup